<script lang="ts" context="module">
export async function load({page, session}) {
    let auth = await Api.Auth.check(session.sess).then(a => a).catch(() => undefined);
    if (!auth) {
        return {
            status: 302,
            redirect: '/login?to=/join'
        }
    }
    let state = await Api.State.get(session.sess, auth.sessionInfo.user).then(s => s).catch(() => undefined);
    if (state) { // user is already in meeting
        return {
            status: 302,
            redirect: '/join/' + state.meetingID + '-0000' // code is ignored so safe to use placeholder
        }
    }
    return {
        status: 200
    }
}
</script>
<script>
import {goto} from "$app/navigation";
import TextInput from "../../components/TextInput.svelte";
import Button from "../../components/Button.svelte";
import * as Api from "../../api/Api";

let id, code;

const joinHandler = () => {
    goto('/join/' + id + '-' + code);
}

</script>

<svelte:head>
    <title>Join Meeting | AZtendance</title>
</svelte:head>

<form on:submit|preventDefault={joinHandler}>
    <TextInput name="id" label="Meeting ID" placeholder="123def" bind:value={id} />
    <TextInput name="code" label="Meeting Code" placeholder="89ab" bind:value={code} />
    <Button content="Next" theme="primary" onclick={joinHandler}/>
</form>